import 'package:chat/utils/conversation_table.dart';
import 'package:flutter/material.dart';

class GroupSelectProvider with ChangeNotifier {
  List<FriendModel> curSelectFriendList = [];

  addFriend(FriendModel friendModel) {
    curSelectFriendList.add(friendModel);
    notifyListeners();
  }

  removeFriend(FriendModel friendModel) {
    curSelectFriendList.remove(friendModel);
    notifyListeners();
  }

  isSelect(FriendModel friendModel) {
    return curSelectFriendList.contains(friendModel);
  }
}
